/*
 * rock_types2.h
 *
 *  Created on: Jan 20, 2016
 *      Author: vlegrand
 *      Gather here typedefs and structures useful for the main program and "inter-modules" data exchange.
 *      I divided rock into 4 "modules":
 *      1- fqreader (parses fastq and fills 3D array of structures representing all reads).
 *      2- read-utils (utility functions for DNA reads processing)
 *      3- CMS (fill and use).
 *      4- fqwriter (writes fq filtered by CMS).
 */

#ifndef ROCK_TYPES_H_
#define ROCK_TYPES_H_

#include <map>
#include "FqBaseBackend.h"

/*typedef struct {
    FqBaseBackend& fq_be;

}fq_io;*/

// typedef std::map<unsigned char,FqBaseBackend&> fq_file_map;

#define k_max_input_files 15

#endif /* ROCK_TYPES_H_ */
