/*
 * unit_tests_tools.cpp
 *
 *  Created on: Jan 4, 2017
 *      Author: vlegrand
 */
#include <string.h>
#include <iostream>
#include <fstream>
#include <assert.h>

using namespace std;


/*
 * Auxilliary method to compare 2 files and make ure that they are identical.
 */
int compareFilesLileByLine(char * filename1,char* filename2) {
    ifstream file1,file2;
    file1.open(filename1,ios::binary|ios::in);
    assert(file1.good());
    file2.open(filename2,ios::binary|ios::in);
    assert(file2.good());
//---------- compare number of lines in both files ------------------
    int c1,c2;
    c1 = 0; c2 = 0;
    string str;
    while(!file1.eof())
    {
        getline(file1,str);
        c1++;
    }
    file1.clear();   //  sets a new value for the error control state
    file1.seekg(0,ios::beg);
    while(!file2.eof())
    {
        getline(file2,str);
        c2++;
    }
    file2.clear();
    file2.seekg(0,ios::beg);

    if(c1 != c2)
    {
        cout << "Different number of lines in files!" << "\n";
        cout << "file1 has " << c1 << " lines and file2 has "
                     << c2 << " lines" << "\n";
        return -1;
    }
//---------- compare two files line by line ------------------
    char string1[1000], string2[1000]; // assume a read in afastq record is never longer than that.
    int j = 0;
    while(!file1.eof())
    {
        file1.getline(string1,256);
        file2.getline(string2,256);
        j++;
        if(strcmp(string1,string2) != 0)
        {
            cout << j << "-th strings are not equal" << "\n";
            cout << "   " << string1 << "\n";
            cout << "   " << string2 << "\n";
            return -1;
        }
    }

    return 0;
}



